Get Transaction
curl --request GET \
--url https://api.openxswitch.com/v2/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openxswitch.com/v2/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openxswitch.com/v2/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "TRANSACTION_ID",
"refId": "REF_ID",
"idempotencyKey": "IDEMPOTENCY_KEY",
"tokenName": "Bitcoin",
"tokenSymbol": "BTC",
"tokenTicker": "BTC",
"tokenAddress": "0x1234567890123456789012345678901234567890",
"decimals": 18,
"isNative": true,
"amount": {
"formatted": "479000.10",
"raw": "47900010"
},
"totalAmount": {
"formatted": "479000.10",
"raw": "47900010"
},
"chainDecimals": 18,
"blockchain": "ethereum",
"protocol": "EVM",
"environment": "mainnet",
"network": "ethereum",
"standard": "ERC20",
"txType": "incoming",
"txSubType": "DEPOSIT",
"status": "pending",
"fromAddress": "0x1234567890123456789012345678901234567890",
"toAddress": "0x1234567890123456789012345678901234567890",
"txHash": "0x1234567890123456789012345678901234567890",
"totalFee": {
"formatted": "479000.10",
"raw": "47900010"
},
"feeLevel": "normal",
"feeToken": "ETH",
"isBatch": false,
"note": "Note",
"triggerOrigin": "TRIGGER_ORIGIN",
"transactionGroupId": "TRANSACTION_GROUP_ID",
"confirmation": 1,
"confirmed": true,
"confirmedAt": "2022-01-01T00:00:00.000Z",
"userId": "USER_ID",
"walletId": "WALLET_ID",
"accountId": "ACCOUNT_ID",
"workspaceId": "WORKSPACE_ID"
}
}{
"statusCode": 400,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}{
"statusCode": 404,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "Cannot GET /v1/..."
}{
"statusCode": 422,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": [
"param is required"
]
}{
"statusCode": 500,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}Transactions
Get Transaction
Retrieve details of a specific transaction
GET
/
v2
/
transactions
Get Transaction
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The unique identifier of the transaction
Example:
"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4"
⌘I
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=062e79ad9c4540929eec204aff020178)
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=f6328956931c9664a2a070c2edb6e9b3)